GetLifecyclePolicy - EC2 Image Builder
Services or capabilities described in AWS documentation might vary by Region. To see the differences applicable to the AWS European Sovereign Cloud Region, see the AWS European Sovereign Cloud User Guide.

GetLifecyclePolicy

Retrieves details for the specified image lifecycle policy.

Request Syntax

GET /GetLifecyclePolicy?lifecyclePolicyArn=lifecyclePolicyArn HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

lifecyclePolicyArn

Specifies the Amazon Resource Name (ARN) of the image lifecycle policy resource to get.

Length Constraints: Maximum length of 1024.

Pattern: ^arn:aws(?:-[a-z]+)*:imagebuilder:[a-z]{2,}(?:-[a-z]+)+-[0-9]+:(?:[0-9]{12}|aws):lifecycle-policy/[a-z0-9-_]+$

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "lifecyclePolicy": { "arn": "string", "dateCreated": number, "dateLastRun": number, "dateUpdated": number, "description": "string", "executionRole": "string", "name": "string", "policyDetails": [ { "action": { "includeResources": { "amis": boolean, "containers": boolean, "snapshots": boolean }, "type": "string" }, "exclusionRules": { "amis": { "isPublic": boolean, "lastLaunched": { "unit": "string", "value": number }, "regions": [ "string" ], "sharedAccounts": [ "string" ], "tagMap": { "string" : "string" } }, "tagMap": { "string" : "string" } }, "filter": { "retainAtLeast": number, "type": "string", "unit": "string", "value": number } } ], "resourceSelection": { "recipes": [ { "name": "string", "semanticVersion": "string" } ], "tagMap": { "string" : "string" } }, "resourceType": "string", "status": "string", "tags": { "string" : "string" } } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

lifecyclePolicy

The details of the lifecycle policy that the request retrieved.

Type: LifecyclePolicy object

Errors

For information about the errors that are common to all actions, see Common Error Types.

CallRateLimitExceededException

You have exceeded the permitted request rate for the Amazon EC2 APIs that Image Builder calls on your behalf. Retry with an increasing or variable delay between requests.

HTTP Status Code: 429

ClientException

A generic client error. This error usually indicates that the request failed a validation check, such as when a downstream service rejects a configured value.

HTTP Status Code: 400

ForbiddenException

You are not authorized to perform the requested operation.

HTTP Status Code: 403

InvalidRequestException

The request is malformed or otherwise invalid. Verify the request and try again.

HTTP Status Code: 400

ServiceException

An internal server error occurred while Image Builder processed the request. Retrying the request may succeed.

HTTP Status Code: 500

ServiceUnavailableException

The service is unable to process your request at this time.

HTTP Status Code: 503

Examples

Get the details of a lifecycle policy

The following example retrieves the full definition of the specified lifecycle policy.

Sample Request

GET /GetLifecyclePolicy?lifecyclePolicyArn=arn%3Aaws%3Aimagebuilder%3Aus-west-2%3A111122223333%3Alifecycle-policy%2Fmy-example-lifecycle-policy HTTP/1.1

Sample Response

HTTP/1.1 200 Content-type: application/json { "lifecyclePolicy": { "arn": "arn:aws:imagebuilder:us-west-2:111122223333:lifecycle-policy/my-example-lifecycle-policy", "name": "my-example-lifecycle-policy", "description": "Deletes AMIs and snapshots for builds older than six months, keeping at least the five most recent", "status": "ENABLED", "executionRole": "arn:aws:iam::111122223333:role/my-example-lifecycle-role", "resourceType": "AMI_IMAGE", "policyDetails": [ { "action": { "type": "DELETE", "includeResources": { "amis": true, "snapshots": true } }, "filter": { "type": "AGE", "value": 6, "unit": "MONTHS", "retainAtLeast": 5 } } ], "resourceSelection": { "tagMap": { "Environment": "my-example-environment" } }, "dateCreated": 1788982478.409, "tags": {} } }

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: